Bug 369501 - Review Request: ruby-flexmock - Mock object library for ruby
Review Request: ruby-flexmock - Mock object library for ruby
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-07 06:11 EST by Paul Nasrat
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-12 03:55:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Nasrat 2007-11-07 06:11:38 EST
Spec URL: http://fedorapeople.org/~pnasrat/pkgs/ruby-flexmock/ruby-flexmock.spec
SRPM URL: http://fedorapeople.org/~pnasrat/pkgs/ruby-flexmock/ruby-flexmock-0.7.1-1.fc7.src.rpm
Description: FlexMock is a simple, but flexible, mock object library for Ruby unit
testing.
Comment 1 Mamoru TASAKA 2007-11-07 06:18:14 EST
I would appreciate it if you would review either of my review
request, bug 364221 or bug 365131 .
Comment 2 Mamoru TASAKA 2007-11-07 06:48:04 EST
For 0.7.1-1:

* Virtual provides of ruby modules - unversioned-explicit-provides
  - At least this should have Provides: ruby(LIBRARY) = VERSION,
    not only ruby(LIBRARY) (ref:
    http://fedoraproject.org/wiki/Packaging/Ruby )

* Source0 URL
  - Please specify full URL of Source0.

* CFLAGS
  - Why does CFLAGS in %build section needed?
    This is noarch and actually this does not seem to
    do anything.

* Many non-executable-script complaints
  - Usually the permissions 0644 are correct, these scripts should
    not have shebangs.

* spurious-executable-perm 
  /usr/share/doc/ruby-flexmock-0.7.1/GoogleExample.rdoc
  - Perhaps the permisson of this file should be 0644.

* License
  - IMO this is "Copyright only", according to
    http://fedoraproject.org/wiki/Licensing
Comment 3 Paul Nasrat 2007-11-07 07:38:10 EST
0.7.1-2 uploaded which addresses the points above.
Comment 4 Mamoru TASAKA 2007-11-08 08:44:57 EST
For 0.7.1-2:

* repoid
  - I checked the URL and repoid for 0.7.1 tarball seems
    25773, not 25733 (perhaps you know, however just I note
    that this number changes every time new version is released).

Please fix the issue above when you commit into CVS.

------------------------------------------------------------
    This package (ruby-flexmock) is APPROVED by me
------------------------------------------------------------
Comment 5 Paul Nasrat 2007-11-08 16:18:05 EST
New Package CVS Request
=======================
Package Name: ruby-flexmock
Short Description: Mock object library for ruby
Owners: pnasrat
Branches: F-7 F-8 devel
InitialCC: (none)
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2007-11-10 15:38:20 EST
cvs done.
Comment 7 Mamoru TASAKA 2007-11-12 02:21:47 EST
Please close this bug when rebuild and request on bodhi is
done.
Comment 8 Paul Nasrat 2007-11-12 03:55:16 EST
I've built on devel, F-8, F-7 and requested on bodhi for F-8 and F-7.
Thanks for your review review, closing the bug out.

Note You need to log in before you can comment on or make changes to this bug.